(ns wanijo.schema.middleware
  (:require [wanijo.schema.domain :as domain]
            [wanijo.framework.common :refer [in?]]))

(defn wrap-user-schemas [handler]
  (fn [req]
    (if-let [uuid (get-in req [:session :uuid])]
      (handler (assoc-in req
                         [:session :schemas]
                         (domain/accessible-schemas! uuid)))
      (handler req))))
